Create a new funnel
curl --request POST \
--url https://api.tagada.io/api/public/v1/funnels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"config": {
"id": "my-funnel",
"name": "My Funnel",
"version": "1.0.0",
"steps": [
{
"id": "step_1",
"name": "Checkout",
"type": "checkout",
"index": 1,
"isEntry": true,
"config": {
"path": "/checkout"
},
"conditions": {
"entry": true
}
}
]
},
"isDefault": true
}
'import requests
url = "https://api.tagada.io/api/public/v1/funnels"
payload = {
"storeId": "store_123",
"config": {
"id": "my-funnel",
"name": "My Funnel",
"version": "1.0.0",
"steps": [
{
"id": "step_1",
"name": "Checkout",
"type": "checkout",
"index": 1,
"isEntry": True,
"config": { "path": "/checkout" },
"conditions": { "entry": True }
}
]
},
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: 'store_123',
config: {
id: 'my-funnel',
name: 'My Funnel',
version: '1.0.0',
steps: [
{
id: 'step_1',
name: 'Checkout',
type: 'checkout',
index: 1,
isEntry: true,
config: {path: '/checkout'},
conditions: {entry: true}
}
]
},
isDefault: true
})
};
fetch('https://api.tagada.io/api/public/v1/funnels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "funnelv2_123",
"name": "My Funnel",
"storeId": "store_123",
"active": true
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}funnels
Create a new funnel
Create a new funnel with the provided configuration
POST
/
api
/
public
/
v1
/
funnels
Create a new funnel
⌘I
